Page MenuHomePhabricator

Create Wiktionary Nias
Closed, ResolvedPublic

Description

The language committee has approved the creation of Wiktionary Nias.

  • Shard: s5
  • Local file uploads: disabled

Thank you.


Pre-install automatic checklist:

The Wiki is ready to be created.


Post install automatic checklist:


Step by step commands:
On deploy1001:
cd /srv/mediawiki-staging/
git fetch
git log -p HEAD..@{u}
git rebase
On mwmaint1002:
scap pull
mwscript extensions/WikimediaMaintenance/addWiki.php --wiki=mhwiktionary nia wiktionary niawiktionary nia.wiktionary.org
mwscript extensions/CirrusSearch/maintenance/UpdateSearchIndexConfig.php --wiki=niawiktionary --cluster=all
On deploy1001:
scap sync-file wmf-config/db-eqiad.php "Creating niawiktionary (T270409)"
scap sync-file wmf-config/db-codfw.php "Creating niawiktionary (T270409)"
scap sync-file dblists "Creating niawiktionary (T270409)"
scap sync-wikiversions "Creating niawiktionary (T270409)"
scap sync-file static/images/project-logos/ "Creating niawiktionary (T270409)"
scap sync-file wmf-config/InitialiseSettings.php "Creating niawiktionary (T270409)"
scap sync-file langlist "Creating niawiktionary (T270409)"
scap update-interwiki-cache

End of automatic output

Event Timeline

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptDec 17 2020, 6:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 650216 had a related patch set uploaded (by Gerrit maintenance bot; owner: Gerrit maintenance bot):
[mediawiki/extensions/WikimediaMessages@master] Add messages for Nias Wiktionary (niawiktionary)

https://gerrit.wikimedia.org/r/650216

Change 650217 had a related patch set uploaded (by Gerrit maintenance bot; owner: Gerrit maintenance bot):
[mediawiki/services/cxserver@master] Add nia to languages

https://gerrit.wikimedia.org/r/650217

Change 650218 had a related patch set uploaded (by Gerrit maintenance bot; owner: Gerrit maintenance bot):
[analytics/refinery@master] Add nia.wiktionary to pageview whitelist

https://gerrit.wikimedia.org/r/650218

Change 650216 abandoned by Urbanecm:
[mediawiki/extensions/WikimediaMessages@master] Add messages for Nias Wiktionary (niawiktionary)

Reason:

https://gerrit.wikimedia.org/r/650216

Change 650217 abandoned by Urbanecm:
[mediawiki/services/cxserver@master] Add nia to languages

Reason:

https://gerrit.wikimedia.org/r/650217

Change 650310 had a related patch set uploaded (by Gerrit maintenance bot; owner: Gerrit maintenance bot):
[operations/dns@master] Add nia to langlist helper

https://gerrit.wikimedia.org/r/650310

Change 650216 restored by Urbanecm:
[mediawiki/extensions/WikimediaMessages@master] Add messages for Nias Wiktionary (niawiktionary)

https://gerrit.wikimedia.org/r/650216

Change 650310 merged by Dzahn:
[operations/dns@master] Add nia to langlist helper

https://gerrit.wikimedia.org/r/650310

Dzahn updated the task description. (Show Details)Dec 18 2020, 12:24 AM
Dzahn added a subscriber: Dzahn.

added to DNS:

nia.wiktionary.org is an alias for dyna.wikimedia.org.

https://nia.wiktionary.org

Change 650216 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Add messages for Nias Wiktionary (niawiktionary)

https://gerrit.wikimedia.org/r/650216

Dzahn updated the task description. (Show Details)Dec 18 2020, 1:06 AM
Dcljr updated the task description. (Show Details)Dec 18 2020, 7:02 AM

Change 650218 merged by Joal:
[analytics/refinery@master] Add nia.wiktionary to pageview whitelist

https://gerrit.wikimedia.org/r/650218

MF-Warburg updated the task description. (Show Details)Dec 18 2020, 11:05 AM
Urbanecm triaged this task as Low priority.Dec 18 2020, 5:46 PM
Urbanecm added a subscriber: Urbanecm.

Hello everyone, since we entered the annual "no deploy" period, this wiki will be probably created in January 2021. Happy holidays everyone!

Urbanecm moved this task from Backlog to Wikis to do on the User-Urbanecm board.Dec 18 2020, 11:34 PM

Change 655436 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Initial configuration for niawiktionary

https://gerrit.wikimedia.org/r/655436

Change 655436 merged by jenkins-bot:
[operations/mediawiki-config@master] Initial configuration for niawiktionary

https://gerrit.wikimedia.org/r/655436

Mentioned in SAL (#wikimedia-operations) [2021-01-11T16:01:29Z] <urbanecm@deploy1001> Synchronized wmf-config/db-eqiad.php: Creating niawiktionary (T270409) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2021-01-11T16:02:27Z] <urbanecm@deploy1001> Synchronized wmf-config/db-codfw.php: Creating niawiktionary (T270409) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2021-01-11T16:03:27Z] <urbanecm@deploy1001> Synchronized dblists: Creating niawiktionary (T270409) (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2021-01-11T16:04:57Z] <urbanecm@deploy1001> rebuilt and synchronized wikiversions files: Creating niawiktionary (T270409)

Mentioned in SAL (#wikimedia-operations) [2021-01-11T16:05:57Z] <urbanecm@deploy1001> Synchronized static/images/project-logos/: Creating niawiktionary (T270409) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2021-01-11T16:06:59Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Creating niawiktionary (T270409) (duration: 00m 55s)

Urbanecm closed this task as Resolved.Mon, Jan 11, 4:13 PM
Urbanecm claimed this task.

Wiki is live, enjoy :).

MF-Warburg updated the task description. (Show Details)Mon, Jan 11, 9:31 PM